@import "./normalize.min.css" ;
@import url('https://fonts.googleapis.com/css?family=Titillium+Web:200,200i,300,300i,400,400i,600,600i,700,700i,900&display=swap');

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

body {
  margin: 0 auto;  
  font-family: "Titillium Web" ;
  position: relative; 
}

*{
  margin: 0;
  padding: 0;
  list-style: none;
  box-sizing: border-box;
}

/* .DOM-search {
  margin-top: 30px;
  position: absolute;
  left: 200px ;
  top: 100px ;
  background-color: #00f ;
  border: 3px dashed #ff0 ;
  width: 500px ;
  color: #fff ;
  height: 200px ;
} */

.visually-hidden {
  position: absolute !important;
  clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
  clip: rect(1px, 1px, 1px, 1px);
  padding: 0 !important;
  border: 0 !important;
  height: 1px !important; 
  width: 1px !important; 
  overflow: hidden;
}

.navigation__link {
  text-decoration: none;
  display: block;
  color: #f7f3f8;
  padding: 5px 17px;
}

.main-header  {
  width: 100%;
  position: absolute;
  background-color: #87509c;
}

.main-header__container  {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.logo{
  background-color: #87509c;
  max-width: 118px;
  width: 100%;
} 

.logo__pic {
  vertical-align: top;
  width: 100%;
}

/* .navigation {
  background-color: aquamarine;
} */

.navigation__list {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.navigation__item {
  display: flex;
  margin-left: 6px;
  font-size: 16px;
  white-space: nowrap; 
}

.main-header .navigation__link:hover {
  border-radius: 4px;
  background-color: #643a79;
  transition-duration: 0.3s;
}

.nav-burger {
  display: none;  
  z-index: 100;
}

/* скрываем чекбокс */
.nav-burger__toggle {
  opacity: 0;
}

/* стилизуем кнопку */
.nav-burger__btn {
  display: flex; /* используем flex для центрирования содержимого */
  align-items: center;  /* центрируем содержимое кнопки */
  width: 36px;
  height: 36px;
  cursor: pointer;
  z-index: 100;
}

/* добавляем "гамбургер" */
.nav-burger__btn > span,
.nav-burger__btn > span::before,
.nav-burger__btn > span::after {
  display: block;
  position: absolute;
  width: 40px;
  height: 4px;
  background-color: #fff;
}

.nav-burger__btn > span::before {
  content: '';
  top: -8px;
}

.nav-burger__btn > span::after {
  content: '';
  top: 8px;
}

/* контейнер меню */
.nav-burger__list {
  display: block;
  position: fixed;
  visibility: hidden; 
  top: 0;
  left: -100%;
  width: 300px;
  height: 100%;
  margin: 0;
  padding: 80px 0;
  list-style: none;
  text-align: center;
  background-color: #87509c;
  
}

.nav-burger__item {
  font-size: 20px;
  white-space: nowrap;
}

/* элементы меню */
.nav-burger__link {
  display: block;
  padding: 16px 16px;
  color: #fff;
  text-decoration: none;
  border: 1px  #643a79 solid;
  margin-top: 5px;
}

.nav-burger__link:hover {
  background-color: #643a79;
  transition-duration: 0.3s;
}

.nav-burger__toggle:checked ~ .nav-burger__btn > span {
  transform: rotate(45deg);
}

.nav-burger__toggle:checked ~ .nav-burger__btn > span::before {
  top: 0;
  transform: rotate(0);
}

.nav-burger__toggle:checked ~ .nav-burger__btn > span::after {
  top: 0;
  transform: rotate(90deg);
}

.nav-burger__toggle:checked ~ .nav-burger__list  {
  visibility: visible;
  left: 0;
}

.nav-burger__btn > span,
.nav-burger__btn > span::before,
.nav-burger__btn > span::after {
  transition-duration: .1s;
}

.nav-burger__list {
  transition-duration: .1s;
}

.nav-burger__item {
  transition-duration: .1s;
  
}

.section-content{
  max-width: 100%;
  margin: 0 auto;
}

.container {
  box-sizing: border-box;
  max-width: 1440px;
  width: 100%;
  margin: 0 auto;
  padding: 130px 150px 128px 150px;   
}

.container--header {
  padding: 47px 195px 0 211px;
}

.section-content--btn-contact {
  height: 100vh;
  background-color: #87509c;
}

.container--btn-content {  
  padding-top: 100px;
  padding-bottom: 30px;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.extra-table {
  display: block;
}

.title {
  margin: 0 auto;
  padding: 0;
}

.title--btn-content{
  margin-bottom: 54px;
}

.title__text--btn-content{
  margin: 0 auto;
  font-size: 40px;
  color: #f7f3ea;
  letter-spacing: -1px;
  line-height: 49px;
  font-family: sans-serif;
  font-weight: 700;
  text-align: center;
}

.features-container {
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.container__link{
  display: block;
  max-width: 293px;
  width: 100%;
  margin: 0 auto;
  padding: 21px 0;
  font-size: 18px;
  color: #ffffff;
  font-family: "Titillium Web" ;
  letter-spacing: 1px;
  font-weight: 400;
  text-decoration: none;
  background-color: #eb7d4b;
  border-radius: 5px;
  text-align: center;
  border-bottom: #c86a40 4px solid;
}

.container__link:hover {
  filter: grayscale(50%);
  transition-duration: 0.3s;
}

.container--services {
  padding-top: 110px;
}

.title--services {
  margin-bottom: 66px;
}

.features-container .feature--services {
  justify-content: normal;
}

.feature__pic {
  max-width: 100%;
  margin: 0 auto;
}

.feature__pic--services {
  height: 150px;
  align-items: center;
}

.feature__text--services {
  color: #f0fbf9;
}

.feature {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

.feature__title--services {
  color: #fff;
  margin-top: 50px;
  margin-bottom: 27px; 
}

.section-content--services {
  background-color: #17c2a4;
}

.container--skills {
  padding-bottom: 122px;
}

.title--skills {
  margin-bottom: 83px;
}

.features-container--skills {
  display: flex;
  flex-flow: row nowrap;
}

.section-content--skills {
  background-color: #ffffff;
}

.feature__pic--skills {
  width: 170px;
  height: 170px;
  justify-content: space-around;
}

.feature__title--skills {
  margin: 0;
  margin-top: 31px;
}

.title__main{ 
  position: relative;  
  text-align: center;
  color: #ffffff;
  text-transform: uppercase;  
}

.main-title {
  padding: 0;
  margin: 0;
  font-size: 40px;
  letter-spacing: 4px;
  font-weight: 700;
}

.main-title--services::after {
  content: "" ;
  width: 6%;
  border-bottom: solid 4px #14a58c;
  position: absolute;
  left: 47%;
  top: 117%;
  z-index: 1;
}

.main-title--team::after {
  content: "" ;
  width: 6%;
  border-bottom: solid 4px #c8d9e5;
  position: absolute;
  left: 47%;
  top: 117%;
  z-index: 1;
}

.main-title--skills::after {
  content: "";
  width: 6%;
  border-bottom: solid 4px #dfe8ed;
  position: absolute;
  left: 47%;
  top: 117%;
  z-index: 1;
}

.main-title--portfolio::after {
  content: "" ;
  width: 6%;
  border-bottom: solid 4px #e5c37f;
  position: absolute;
  left: 47%;
  top: 117%;
  z-index: 1;
}

.main-title--feedback::after {
  content: "" ;
  width: 6%;
  border-bottom: solid 4px #b73c6d;
  position: absolute;
  left: 47%;
  top: 117%;
  z-index: 1;
}

.main-title--cnt-form::after {
  content: "" ;
  width: 6%;
  border-bottom: solid 4px #273a71;
  position: absolute;
  left: 47%;
  top: 117%;
  z-index: 1;
}

.title__sub {
  font-size: 18px;
  margin-top: 30px;
  letter-spacing: 0px;
  color: #ffffff;
  font-weight: 400;
  text-align: center;
}

.img-service, .img-skills {
  max-width: 100%;
  vertical-align: top;
}

.feature__text{
  
  font-size: 18px;
  text-align: center;
}

.feature__title{
  font-size: 24px;
  text-transform: uppercase;
  text-align: center;  
}


.feature__title--sub {
  font-size: 16px;
  letter-spacing: 0px;
  color: #30bae7;
  font-weight: 400;
  text-align: center;
  text-transform: none;  
  margin: 0;
  margin-bottom: 25px;
}

.feature__title--team {
  margin: 0;
  margin-top: 41px;
}

.section-content--team {
  background-color: #e7f1f8;
}

.title--team {
  margin-bottom: 78px;
}


.feature__pic--team {
  background-color: #878787;
  width: 200px;
  height: 200px;
  border-radius: 100px;
}

.title__main--dark {
  color: #3c4761;
}

.title__sub--dark {
  color: #3c4761;
}

.feature__social {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin-top: 31px;
}


.feature__link {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  background-color: #bdd1df;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 6px;
} 

.feature__link:hover{
  color: #30bae7;
  transition-duration: 0.3s;
}

.svg--twitter {
  width: 17px;
  height: 14px;
}

.svg--facebook {
  width: 8px;
  height: 16px;
}

.svg--linkedin {
  width: 16px;
  height: 16px;
}

.svg--message {
  width: 16px;
  height: 12px;
}

.circular-chart {
  display: block;
  margin: 10px auto;
  max-width: 100%;
  max-height: 170px;
}

.circle-bg {
  fill: none;
  stroke: #dfe8ed;
  stroke-width: 2.7;
}

.circle {
  fill: none;
  stroke-width: 2.7;
  /* stroke-linecap: round; */
  animation: progress 1s ease-out forwards;
}

@keyframes progress {
  0% {
    stroke-dasharray: 0 100;
  }
}

.circular-chart.aqua-marin .circle {
  stroke: #15c7a8;
}

.circular-chart.pink .circle {
  stroke: #d74680;
}

.circular-chart.blue .circle {
  stroke: #3c9ee5;
}

.circular-chart.orange-carrot .circle {
  stroke: #eb7d4b;
}

.number {
  fill: #3c4761;
  font-size: 0.7em;
  letter-spacing: 0px;
  color: #3c4761;
  font-weight: 300;
  text-anchor: middle;
}

.percentage {
  fill: #3c4761;
  font-size: 0.4em;
  letter-spacing: 1px;
  color: #3c4761;
  font-weight: 300;
  text-anchor: middle;
}

.section-content--portfolio {
  background-color: #ffdd99;
}

.feature__title--portfolio {
  margin: 0;
  margin-top: 32px;
  font-size: 18px;
  letter-spacing: 0px;
  color: #393939;
  font-weight: 400;
}

.features-container--portfolio {
  flex-wrap: wrap;
}

.feature--portfolio {
  flex-basis: 49%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 64px;
}

.feature__pic--portfolio {
  max-width: 540px;
  width: 100%;
  background: url(../img/notebook.png) no-repeat;
  background-size: 100%;
  padding: 17px 57px 32px 63px; 
}

.title--portfolio {
  margin-bottom: 42px;
}

.img-portfolio {
  max-width: 100%;
}

.container__link--portfolio {
  background-color: #17c2a4;
  border-bottom: #14a58c 4px solid;
}

.nav { 
  margin: 0 auto;
}

.nav--portfolio {
  max-width: 380px;
  width: 100%;
  margin: 0 auto;
  margin-bottom: 62px;
}

.nav__list {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

.nav__link {
  display: block;
  text-decoration: none;
  font-size: 18px;
  color: #393939;
  font-weight: 400;
  padding: 8px 20px;
  background-color: #ebc985;
  border-radius: 4px;
}

.nav__link:hover {
  background-color: #fff;
  transition-duration: 0.3s;
}

.section-content--feedback {
  background-color: #d74680;
}

.title--feedback {
  margin-bottom: 71px;
}

.features-container--feedback {
  flex-wrap: wrap;
  justify-content: space-between;
  margin-bottom: 123px;  
  
}

.features-container--feedback:last-child {
  margin-bottom: 0px;
}

.feature--feedback {  
  flex-basis: 45%;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: flex-start;
  justify-content: center;
}


.feature__pic--feedback {
  background-color: #878787;
  width: 100px;
  height: 100px;
  border-radius: 50px;
  margin-right: 40px;
}

.img-feedback {
  max-width: 100%;
  vertical-align: top;
}

.feature__text-container--feedback {
  flex-basis: 60%;  
  color: #ffffff
}

.feature__text--citation {
  text-align: left;
  font-size: 21px;
  letter-spacing: 0px;
  color: #ffffff;
  font-weight: 400;
  font-style: italic;
}

.feature__title--feedback {
  font-size: 24px;
  letter-spacing: 0px;
  color: #ffffff;
  font-weight: 700;
  text-align: left;
  margin-top: 24px;
}

.feature__text--feedback {
  color: #ffdd99;
  text-align: left;
}

.section-content--cnt-form {
  background-color: #3c5499;
}

.container--cnt-form {
  padding: 120px 290px 115px 290px; 
}

/* .features-container--ctn-form {
  
} */

.title--ctn-form {
  margin-bottom: 76px;
}


.form__container,
.textarea-field {
  width: 100%;
  border: none;
  margin: 0;
  padding: 0;
}

.input-container {
  display: flex;
  justify-content: space-between;
}

.input-placeholder {
  position: relative;
}

.input-field {
  width: 48.3%;
}

.placeholder {
  position: absolute;
  pointer-events: none;
  top: 12px;
  bottom: 0;
  height: 25px;
  font-size: 18px;
  left: 26px;
  color: #ccc;
  letter-spacing: 0;
   
}

.placeholder span {
  color: red;
}

.textarea-field .placeholder {
  top: 20px;
}

.input-placeholder .field:valid + .placeholder,
.input-placeholder .message:valid + .placeholder {
  display: none;
}

.field,
.message {
  box-sizing: border-box;
  width: 100%;
  border: none;
  border-radius: 4px;
  padding: 0;
  padding-left: 26px;
  margin-bottom: 27px;
  color: #fff;
  background-color: #273a71;
}

.message {
  margin-bottom: 59px;
  box-sizing: border-box; 
  padding: 5px 5px;
}

.field {
  height: 55px;
  margin-top: -5px;
}

.message {
  height: 200px;
  padding-top: 20px;
  resize: none;
}

.container__link--ctn-form {
  border: none;
  background-color: #30bae7;
  border-bottom: #299ec5 4px solid;
}

.main-footer  {
  background: #344b8e;
  width: 100%;
}

.container--footer {  
  padding: 31px 251px;
}

.navigation__item--footer {
  font-size: 24px;
  letter-spacing: 1px;
  color: #ffffff;
  font-weight: 600;
  text-align: center;
}

.main-footer .navigation__link--footer:hover {
  border-radius: 4px;
  color: #30bae7;
  transition-duration: 0.3s;
}

.nav-compact {
  display: none; 
  margin: 0 auto;

}

.nav-compact__list {
  list-style: none;
  display: flex;
  justify-content: space-around;
  align-items: center;
  max-width: 100%;
}

.nav-compact__link {
  color: #fff;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.nav-compact__link:hover {
  color: #30bae7;
  transition-duration: 0.3s;
}

.svg-footer {
  width: 28px;
  height: 28px;
  stroke-width: 0;
  stroke: currentColor;
  fill: currentColor;
}


@media screen and (max-width: 1366px) {
  .container{
    padding: 60px 130px 50px;
  }

  .container--btn-content {
      padding-top: 220px;
  }


  .container--header {
    padding: 20px 70px 0 70px;
  }

  .container--footer {
    padding: 0px 30px;
  }

  .features-container {
    padding-top: 20px;
  }

  .features-container--portfolio {
    padding-bottom: 10px;
  }

  .feature__pic--portfolio {    
    padding: 14px 58px 30px 58px;
    max-width: 500px; 
  }

  .feature--feedback {
    flex-basis: 48%;
    justify-content: space-around;
    align-items: center;
    padding: 0;
  }

  .title {
    margin-bottom: 40px;
  }

  .title--services {
    margin-bottom: 40px;
  }

  .title--portfolio {
    margin-bottom: 0; 
  }
  
  .nav--portfolio {
    padding-top: 15px;
    padding-bottom: 20px;
    margin-bottom: 0;
  }
}

@media screen and (max-width: 1200px) {
  .nav--portfolio {
    padding-top: 20px;
  }

  .features-container {
    flex-wrap: wrap;
    justify-content: space-around;
    margin-top: 10px;
  }

  .features-container--feedback {
    margin-bottom: 0;
  }
  
  .features-container--portfolio {
    margin-top: 0;
  }

  .feature {
    margin-top: 10px;
    margin-bottom: 30px;
    flex-basis: 40%;
    
  }

  .features-container .feature--portfolio {
    padding-bottom: 10px;
    flex-basis: 100%;
  }

  .feature__title--portfolio {
    margin-top: 5px;
  }

  .feature__pic--portfolio {    
    padding: 14px 55px 18px 54px; 
  }
  
  .feature__pic--feedback {
    margin-bottom: 10px;
  }

  .feature__pic--skills {
    height: 220px;
    width: 220px;
  }
  
  .circular-chart {
    max-height: 100%;
  }

  .main-title {
    font-size: 30px;
  }

  .feature--feedback {
    flex-basis: 48%;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
  }
}

@media screen and (max-width: 1024px) {
  .container {
    padding: 40px 50px 50px; 
  }

  .extra-table {
    display: inline;
  }

  .container--header {
    padding: 10px 40px 0 40px;
  }
  .container--btn-content {
    padding-top: 200px;
  }

  .container--footer {
    padding: 10px 30px;
  }

  .features-container {
    flex-wrap: wrap;
    justify-content: space-around;
    padding-top: 20px;
  }

  .feature__title--services {
    margin-top: 0;
  }

  

  .feature__pic--feedback {
    margin: 10px 10px;
  }

  .nav-compact {
    display: block;
  }

  .navigation {
    display: none;
  }

  .nav-burger {
    display: flex;
  }

  .logo {
    max-width: 80px;
  }

}

@media screen and (max-width: 812px) {
  .container {
    padding: 40px 20px 50px; 
  }

  .feature--portfolio {
    flex-basis: 100%;
  }

  .container--btn-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    padding-top: 220px;
  }

  .container--header {
    padding: 10px 30px 0 30px;
  }

  .container--footer {
    padding: 10px 30px;
  }

  .navigation {
    display: none;
  }

  .features-container {
    flex-wrap: wrap;
    justify-content: space-around;
  }

  .feature__pic--portfolio {    
    padding: 12px 55px 23px 55px;
  }

  .feature--feedback {
    flex-wrap: nowrap;
    flex-direction: column;
  }
  
  .feature__text--citation, .feature__title--feedback, .feature__text--feedback {
    text-align: center;
  }

  .title__text--btn-content {
    margin: 0;
    margin-bottom: 10px;
    font-size: 28px;
  }
}

@media screen and (max-width: 667px) {
  .container {
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    padding: 40px 30px;
  }

  .features-container--ctn-form {
    padding-right: 10px;
    padding-top: 10px;
  }

  .container--btn-content {
    padding-top: 220px;
  }

  .container--header {
    padding: 10px 30px 0 30px;
  }

  .container--footer {
    padding: 10px 30px;
  }  

  .features-container {
    padding-top: 10px;
    padding-left: 100px;
    padding-right: 100px;
    margin-bottom: 10px;
  }

  .features-container--ctn-form {
    padding: 0;
  }

  .input-container {
    flex-wrap: wrap;
  }

  .input-field {
    width: 100%;
  }

  .feature__pic {
    margin-bottom: 10px;
  }

  
  .feature--portfolio {
    padding-bottom: 10px;
  }

  .feature__title--portfolio {
    margin-top: 0px;
  }

  .feature {
    flex-basis: 100%;
    padding: 0;
  }

  .feature--portfolio {
    margin-bottom: 15px;
  }

  .feature__pic--portfolio {
    padding: 8px 44px 8px 45px;
    padding-bottom: 40px;
  }

  .title__sub {
    margin-top: 25px;
  }

  .title__text--btn-content {
    margin: 0;
    margin-bottom: 10px;
    font-size: 28px;
  }

  .nav--portfolio {    
    padding: 0;
  }

  .nav__item {
    flex-basis: 40%;
    text-align: center;
    padding-top: 10px;
    margin: 10px;
  }

  .nav__link {
    font-size: 14px;
    padding: 5px 5px;
  }

}

@media screen and (max-width: 568px) {
  .container {
    padding: 30px 30px;
  }

  .container--footer {
    padding: 10px 30px;
  }

  .container--header {
    padding: 10px 30px 0 30px;
  }

  .container--btn-content {
    padding-top: 150px;
  }

  .nav-compact__list {
    justify-content: space-between;
  }

  .features-container--feedback, .features-container--skills, .features-container--portfolio {
    padding-left: 50px;
    padding-right: 50px;
  }

  .feature__pic--portfolio {
    padding: 10px 45px 49px 45px;
  }
}

@media screen and (max-width: 420px) {
  .container {
    padding: 30px 20px;
  }

  .container--btn-content {
    padding-top: 100px;
  }

  .container--header {
    padding: 10px 30px 0 30px;
  }

  .container--footer {
    padding: 10px 20px;
  }

  .title__main h2 {
    font-size: 30px;
  }

  .field {
    height: 40px;
  }

  .placeholder {
    top: 4px;
  }

  .features-container {    
    padding-left: 20px;
    padding-right: 20px;
  }
  
  
  .feature__pic--portfolio {    
    padding: 10px 39px 28px 37px;
  }



}

@media screen and (max-width: 320px) {
  .feature__pic--portfolio {    
    padding: 8px 28px 7px 28px;
    height: 170px; 
  }

  .features-container--feedback {
    padding-left: 10px;
    padding-right: 10px;
  }
  
  

}
